body {
  zoom: 1;
  width: 100%;
}
body:before,
body:after {
  content: "";
  display: table;
}
body:after {
  clear: both;
}
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  font-weight: inherit;
  font-style: inherit;
  font-family: inherit;
  font-size: 100%;
  vertical-align: baseline;
}
body {
  line-height: 1;
  color: #000;
  background: #fff;
}
ol,
ul {
  list-style: none;
}
table {
  border-collapse: separate;
  border-spacing: 0;
  vertical-align: middle;
}
caption,
th,
td {
  text-align: left;
  font-weight: normal;
  vertical-align: middle;
}
a img {
  border: none;
}
input,
button {
  margin: 0;
  padding: 0;
}
input::-moz-focus-inner,
button::-moz-focus-inner {
  border: 0;
  padding: 0;
}
@font-face {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  src: url("fonts/fontawesome-webfont.eot?v=#4.0.3");
  src: url("fonts/fontawesome-webfont.eot?#iefix&v=#4.0.3") format("embedded-opentype"), url("fonts/fontawesome-webfont.woff?v=#4.0.3") format("woff"), url("fonts/fontawesome-webfont.ttf?v=#4.0.3") format("truetype"), url("fonts/fontawesome-webfont.svg#fontawesomeregular?v=#4.0.3") format("svg");
}
html,
body,
#container {
  height: 100%;
}
body {
  background: #fff;
  font: 1.1em 'Merriweather Sans', "Helvetica Neue", Helvetica, Arial, sans-serif;
}
@media screen and (min-width: 768px) and (max-width: 1199px) {
  .container {
    width: 95%;
  }
}
#content {
  margin-bottom: 40px;
}
.page-header-wrapper {
  font-size: 3em;
  background-image: url("images/bg-xs.jpg");
  background-position: left bottom;
  background-repeat: no-repeat;
  padding-top: 416px;
}
/* Extra small devices (phones, less than 768px) */
/* No media query since this is the default in Bootstrap */
/* Small devices (tablets, 768px and up) */
@media (min-width: 768px) {
  .page-header-wrapper {
    background-image: url("images/bg-sm.jpg");
  }
}
/* Medium devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .page-header-wrapper {
    background-image: url("images/bg-md.jpg");
  }
}
/* Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
  .page-header-wrapper {
    background-image: url("images/bg-lg.jpg");
  }
}
.page-header {
  padding-left: 15px;
}
.title {
  color: #a94442;
  border-bottom: 1px solid #a94442;
}
.inner {
  display: inline;
  float: left;
  width: 97.7777777777778%;
  margin: 0 1.1111111111111%;
}
.left,
.alignleft {
  float: left;
}
.right,
.alignright {
  float: right;
}
.clear {
  clear: both;
}
#container {
  position: relative;
}
.mobile-nav-on {
  overflow: hidden;
}
#wrap {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  -webkit-transition: 0.2s ease-out;
  -moz-transition: 0.2s ease-out;
  -o-transition: 0.2s ease-out;
  -ms-transition: 0.2s ease-out;
  transition: 0.2s ease-out;
  z-index: 1;
  background: #fff;
}
.mobile-nav-on #wrap {
  left: 280px;
}
.panel-heading {
  cursor: pointer;
}
.article-date {
  text-decoration: none;
  text-transform: uppercase;
/*letter-spacing: 2px*/
  color: #999;
  margin-bottom: 1em;
  margin-left: 5px;
  line-height: 1em;
  text-shadow: 0 1px #fff;
  font-weight: bold;
}
.article-inner,
.archive-article-inner {
  background: #fff;
/*box-shadow: 1px 2px 3px #ddd
  border: 1px solid color-border*/
  -webkit-border-radius: 3px;
  border-radius: 3px;
}
.article-entry h1,
.widget h1 {
  font-size: 1.6em;
}
.article-entry h2,
.widget h2 {
  font-size: 1.4em;
}
.article-entry h3,
.widget h3 {
  font-size: 1.3em;
}
.article-entry h4,
.widget h4 {
  font-size: 1.2em;
}
.article-entry h5,
.widget h5 {
  font-size: 1em;
}
.article-entry h6,
.widget h6 {
  font-size: 1em;
  color: #999;
}
.article-entry hr,
.widget hr {
  border: 1px dashed #ddd;
}
.article-entry strong,
.widget strong {
  font-weight: bold;
}
.article-entry em,
.widget em,
.article-entry cite,
.widget cite {
  font-style: italic;
}
.article-entry sup,
.widget sup,
.article-entry sub,
.widget sub {
  font-size: 0.75em;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}
.article-entry sup,
.widget sup {
  top: -0.5em;
}
.article-entry sub,
.widget sub {
  bottom: -0.2em;
}
.article-entry small,
.widget small {
  font-size: 0.85em;
}
.article-entry acronym,
.widget acronym,
.article-entry abbr,
.widget abbr {
  border-bottom: 1px dotted;
}
.article-entry ul,
.widget ul,
.article-entry ol,
.widget ol,
.article-entry dl,
.widget dl {
  margin: 0 20px;
  line-height: 1.8em;
}
.article-entry ul ul,
.widget ul ul,
.article-entry ol ul,
.widget ol ul,
.article-entry ul ol,
.widget ul ol,
.article-entry ol ol,
.widget ol ol {
  margin-top: 0;
  margin-bottom: 0;
}
.article-entry ul,
.widget ul {
  list-style: disc;
}
.article-entry ol,
.widget ol {
  list-style: decimal;
}
.article-entry dt,
.widget dt {
  font-weight: bold;
}
.nav-menu {
  width: 100%;
  margin: auto !important;
}
@media screen and (max-width: 768px) {
  #rss-link i {
    margin-right: 4px;
  }
  #rss-link:after {
    content: "Feed";
  }
}
#main h1,
#main h2,
#main h3,
#main h4,
#main h5,
#main h6 {
  color: #a94442;
}
.hide {
  display: none;
}
.block {
  display: block;
}
.note-marker {
  color: #d14;
  font-weight: 700;
}
.note-outer {
  float: right;
  width: 0;
}
.note-inner {
  width: 270px;
  margin-left: 20px;
  padding-left: 14px;
  border-left: 5px solid #bce72d;
}
.note-banner {
  text-align: center;
  font-size: 13px;
}
.note {
  font-size: 13px;
}
.note .note-marker {
  padding-right: 6px;
  font-size: 1.1em !important;
}
.thumbnail {
  float: right;
  max-width: 250px;
  border: 1px solid #ddd;
  margin-left: 1rem;
  -webkit-border-radius: 6px;
  border-radius: 6px;
  -webkit-box-shadow: 0px 1px 3px rgba(0,0,0,0.055);
  box-shadow: 0px 1px 3px rgba(0,0,0,0.055);
}
.article-date {
  float: right;
  padding: 10px 0;
}
.article-category {
  float: left;
  text-shadow: 0 1px #fff;
  margin-left: 8px;
}
.article-category:before {
  content: "\f07b";
  font-family: FontAwesome;
  color: #999;
}
.article-category:after {
  content: "";
  color: #555 !important;
}
.article-category-link {
  color: #a94442 !important;
  margin: 0 4px;
}
.article-category-link:hover {
  text-decoration: underline !important;
}
.article-header {
  padding: 10px 0;
  border-bottom: 1px solid #999;
}
.article-header h1 {
  display: inline-block;
}
.article-header i {
  color: #555;
  font-size: 32px;
  margin-right: 12px;
}
.article-title {
  text-decoration: none;
  font-size: 1.6em;
  color: #555;
  line-height: 1.1em;
  -webkit-transition: color 0.2s;
  -moz-transition: color 0.2s;
  -o-transition: color 0.2s;
  -ms-transition: color 0.2s;
  transition: color 0.2s;
}
a.article-title:hover {
  color: #a94442;
}
#toc {
  float: right;
  font-size: 10pt;
  width: 250px;
  padding: 10px 10px 10px 20px;
  background: #eee;
  border: 1px solid #ddd;
  margin: 0px 0px 10px 15px;
}
.toc-header {
  font-size: 1em;
  font-weight: 700;
  color: #555;
}
.article-toc {
  list-style: disc !important;
  color: #555;
}
.article-toc-child {
  list-style: disc !important;
  color: #555;
  margin-left: 0.6rem !important;
}
.article-toc-item {
  line-height: 1.8em;
}
.alert > i {
  margin-right: 6px;
  font-size: 1rem;
}
.article-entry {
  zoom: 1;
  clear: both;
  color: #555;
  padding: 0 10px;
}
.article-entry:before,
.article-entry:after {
  content: "";
  display: table;
}
.article-entry:after {
  clear: both;
}
.article-entry p,
.article-entry table {
  line-height: 1.8em;
  margin: 1.8em 0;
}
.article-entry h1,
.article-entry h2,
.article-entry h3,
.article-entry h4,
.article-entry h5,
.article-entry h6 {
  line-height: 1.1em;
  margin: 1.1em 0;
}
.article-entry a {
  color: #a94442;
  text-decoration: none;
}
.article-entry a:hover {
  text-decoration: underline;
}
.article-entry img,
.article-entry video {
  max-width: 100%;
  height: auto;
  display: block;
  margin: auto;
}
.article-entry iframe {
  border: none;
}
.article-entry table {
  width: 100%;
  border-collapse: collapse;
  border-spacing: 0;
}
.article-entry th {
  font-weight: bold;
  border-bottom: 3px solid #ddd;
  padding-bottom: 0.5em;
}
.article-entry td {
  border-bottom: 1px solid #ddd;
  padding: 10px 0;
}
.article-entry blockquote {
  font-family: Georgia, "Times New Roman", serif;
  margin: 1.8em 20px;
}
.article-entry blockquote footer {
  font-size: 1.1em;
  margin: 1.8em 0;
  font-family: 'Merriweather Sans', "Helvetica Neue", Helvetica, Arial, sans-serif;
}
.article-entry blockquote footer cite:before {
  content: "—";
  padding: 0 0.5em;
}
.article-entry .pullquote {
  text-align: left;
  width: 45%;
  margin: 0;
}
.article-entry .pullquote.left {
  margin-left: 0.5em;
  margin-right: 1em;
}
.article-entry .pullquote.right {
  margin-right: 0.5em;
  margin-left: 1em;
}
.article-entry .caption {
  color: #999;
  display: block;
  font-size: 0.9em;
  margin-top: 0.5em;
  position: relative;
  text-align: center;
}
.article-entry .video-container {
  position: relative;
  padding-top: 56.25%;
  height: 0;
  overflow: hidden;
}
.article-entry .video-container iframe,
.article-entry .video-container object,
.article-entry .video-container embed {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  margin-top: 0;
}
.article-more-link a {
  display: inline-block;
  line-height: 1em;
  padding: 6px 15px;
  -webkit-border-radius: 8px;
  border-radius: 8px;
  border: 2px solid #a94442;
  background: #fff;
  color: #a94442;
  text-shadow: 0 1px #fff;
  text-decoration: none;
  float: right;
}
.article-more-link a:hover {
  background: #a94442;
  color: #fff;
  text-decoration: none;
  text-shadow: 0 1px #873635;
}
.post-image {
  padding: 8px;
}
.article-footer {
  zoom: 1;
  font-size: 1.1em;
  line-height: 1.8em;
  border-top: 1px solid #ddd;
  padding-top: 1.8em;
  padding-bottom: 1.8em;
  margin-top: 4rem;
}
.article-footer:before,
.article-footer:after {
  content: "";
  display: table;
}
.article-footer:after {
  clear: both;
}
.article-footer a {
  color: #999;
}
.article-footer a:hover {
  color: #555;
  text-decoration: none;
}
.article-tag-list:before {
  content: "\f02c";
  font-family: FontAwesome;
  padding: 0 8px 0 20px;
  float: left;
  color: #999;
}
.article-tag-list-item {
  float: left;
  margin-right: 10px;
  display: inline-block;
}
.article-tag-list-link {
  color: #fff !important;
  display: inline-block;
  padding-top: 0.3rem;
}
.article-comment-link {
  float: right;
}
.article-comment-link:before {
  content: "\f075";
  font-family: FontAwesome;
  padding-right: 8px;
}
.article-share-link {
  cursor: pointer;
  float: right;
  margin-left: 20px;
}
.article-share-link:before {
  content: "\f064";
  font-family: FontAwesome;
  padding-right: 6px;
}
.article-nav {
  zoom: 1;
  text-align: center;
  font-weight: 700;
}
.article-nav:before,
.article-nav:after {
  content: "";
  display: table;
}
.article-nav:after {
  clear: both;
}
.disabled {
  color: #999 !important;
}
.disabled:hover {
  background: #fff !important;
}
.nav-prev:before {
  content: "\f060";
  font-family: FontAwesome;
  padding-right: 6px;
}
.nav-home:before {
  float: left;
  content: "\f015";
  font-family: FontAwesome;
  padding-right: 6px;
}
.nav-archive:before {
  float: left;
  content: "\f187";
  font-family: FontAwesome;
  padding-right: 6px;
}
.nav-next:after {
  content: "\f061";
  font-family: FontAwesome;
  padding-left: 6px;
}
.article-share-box {
  position: absolute;
  display: none;
  background: #fff;
  -webkit-box-shadow: 1px 2px 10px rgba(0,0,0,0.2);
  box-shadow: 1px 2px 10px rgba(0,0,0,0.2);
  -webkit-border-radius: 3px;
  border-radius: 3px;
  margin-left: -145px;
  overflow: hidden;
  z-index: 1;
}
.article-share-box.on {
  display: block;
}
.article-share-links {
  zoom: 1;
  background: #fff;
  border-left: 1px solid #ddd;
  border-right: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
}
.article-share-links:before,
.article-share-links:after {
  content: "";
  display: table;
}
.article-share-links:after {
  clear: both;
}
.article-share-weibo,
.article-share-renren,
.article-share-google {
  width: 50px;
  height: 36px;
  display: block;
  float: left;
  position: relative;
  color: #999;
  text-shadow: 0 1px #fff;
}
.article-share-weibo:before,
.article-share-renren:before,
.article-share-google:before {
  font-size: 20px;
  font-family: FontAwesome;
  width: 20px;
  height: 20px;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -10px;
  margin-left: -10px;
  text-align: center;
}
.article-share-weibo:hover,
.article-share-renren:hover,
.article-share-google:hover {
  color: #fff;
}
.article-share-weibo:before {
  content: "\f18a";
}
.article-share-weibo:hover {
  background: #cb2027;
  text-shadow: 0 1px #a21a1f;
}
.article-share-renren:before {
  content: "\f18b";
}
.article-share-renren:hover {
  background: #3b5998;
  text-shadow: 0 1px #2f477a;
}
.article-share-google:before {
  content: "\f0d5";
}
.article-share-google:hover {
  background: #dd4b39;
  text-shadow: 0 1px #be3221;
}
.article-gallery {
  background: #000;
  position: relative;
}
.article-gallery-photos {
  position: relative;
  overflow: hidden;
}
.article-gallery-img {
  display: none;
  max-width: 100%;
}
.article-gallery-img:first-child {
  display: block;
}
.article-gallery-img.loaded {
  position: absolute;
  display: block;
}
.article-gallery-img img {
  display: block;
  max-width: 100%;
  margin: 0 auto;
}
#comments {
  background: #fff;
  padding: 10px;
  border: 1px solid #ddd;
  -webkit-border-radius: 3px;
  border-radius: 3px;
  margin: 50px 0;
}
#comments a {
  color: #a94442;
}
.archive-article {
  -webkit-column-break-inside: avoid;
  page-break-inside: avoid;
  overflow: hidden;
  break-inside: avoid-column;
}
.archive-article-inner {
  padding: 4px;
  margin-left: 10px;
}
.archive-title {
  display: inline-block;
}
.archive-article-title {
  text-decoration: none;
  color: #a94442;
  line-height: 1.8em;
}
.archive-article-title:hover {
  color: #a94442;
}
.archive-article-footer {
  margin-top: 1em;
}
.archive-article-header i {
  color: #555;
}
.archive-article-date {
  color: #555;
  text-decoration: none;
  font-size: 0.85em;
  line-height: 1em;
  margin-bottom: 0.5em;
  display: inline-block;
}
.center {
  text-align: center;
}
#footer {
  background: #262a30;
  padding: 50px 0;
  border-top: 1px solid #ddd;
  color: #999;
}
#footer a {
  text-decoration: none;
}
#footer a:hover {
  text-decoration: underline;
}
.outer {
  text-align: center;
}
#footer-info {
  line-height: 1.8em;
  font-size: 0.85em;
}
#gotop {
  width: 36px;
  height: 36px;
  position: fixed;
  bottom: 40px;
  right: 30px;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  text-decoration: none;
  background-color: #999;
  color: #fff;
  line-height: 36px;
  font-size: 30px;
  text-align: center;
  font-weight: 700;
  display: none;
}
#gotop:focus {
  outline: none;
}
.article-entry pre,
.article-entry .highlight {
  background: #2d2d2d;
  margin: 0 -10px;
  padding: 15px 10px;
  border-style: solid;
  border-color: #ddd;
  border-width: 1px 0;
  overflow: auto;
  color: #ccc;
  line-height: 1.98em;
}
.article-entry .highlight .gutter pre,
.article-entry .gist .gist-file .gist-data .line-numbers {
  color: #666;
  font-size: 0.85em;
}
.article-entry pre,
.article-entry code {
  font-family: "Source Code Pro", Consolas, Monaco, Menlo, Consolas, monospace;
}
.article-entry code {
  background: #fff;
  text-shadow: 0 1px #fff;
  padding: 0 0.3em;
}
.article-entry pre code {
  background: none;
  text-shadow: none;
  padding: 0;
}
.article-entry .highlight pre {
  border: none;
  margin: 0;
  padding: 0;
}
.article-entry .highlight table {
  margin: 0;
  width: auto;
}
.article-entry .highlight td {
  border: none;
  padding: 0;
}
.article-entry .highlight figcaption {
  zoom: 1;
  font-size: 0.85em;
  color: #999;
  line-height: 1em;
  margin-bottom: 1em;
}
.article-entry .highlight figcaption:before,
.article-entry .highlight figcaption:after {
  content: "";
  display: table;
}
.article-entry .highlight figcaption:after {
  clear: both;
}
.article-entry .highlight figcaption a {
  float: right;
}
.article-entry .highlight .gutter pre {
  text-align: right;
  padding-right: 20px;
}
.article-entry .gist {
  margin: 0 -10px;
  border-style: solid;
  border-color: #ddd;
  border-width: 1px 0;
  background: #2d2d2d;
  padding: 15px 10px 15px 0;
}
.article-entry .gist .gist-file {
  border: none;
  font-family: "Source Code Pro", Consolas, Monaco, Menlo, Consolas, monospace;
  margin: 0;
}
.article-entry .gist .gist-file .gist-data {
  background: none;
  border: none;
}
.article-entry .gist .gist-file .gist-data .line-numbers {
  background: none;
  border: none;
  padding: 0 20px 0 0;
}
.article-entry .gist .gist-file .gist-data .line-data {
  padding: 0 !important;
}
.article-entry .gist .gist-file .highlight {
  margin: 0;
  padding: 0;
  border: none;
}
.article-entry .gist .gist-file .gist-meta {
  background: #2d2d2d;
  color: #999;
  font: 0.85em 'Merriweather Sans', "Helvetica Neue", Helvetica, Arial, sans-serif;
  text-shadow: 0 0;
  padding: 0;
  margin-top: 1em;
  margin-left: 10px;
}
.article-entry .gist .gist-file .gist-meta a {
  color: #a94442;
  font-weight: normal;
}
.article-entry .gist .gist-file .gist-meta a:hover {
  text-decoration: underline;
}
pre .comment,
pre .title {
  color: #999;
}
pre .variable,
pre .attribute,
pre .tag,
pre .regexp,
pre .ruby .constant,
pre .xml .tag .title,
pre .xml .pi,
pre .xml .doctype,
pre .html .doctype,
pre .css .id,
pre .css .class,
pre .css .pseudo {
  color: #f2777a;
}
pre .number,
pre .preprocessor,
pre .built_in,
pre .literal,
pre .params,
pre .constant {
  color: #f99157;
}
pre .class,
pre .ruby .class .title,
pre .css .rules .attribute {
  color: #9c9;
}
pre .string,
pre .value,
pre .inheritance,
pre .header,
pre .ruby .symbol,
pre .xml .cdata {
  color: #9c9;
}
pre .css .hexcolor {
  color: #6cc;
}
pre .function,
pre .python .decorator,
pre .python .title,
pre .ruby .function .title,
pre .ruby .title .keyword,
pre .perl .sub,
pre .javascript .title,
pre .coffeescript .title {
  color: #69c;
}
pre .keyword,
pre .javascript .function {
  color: #c9c;
}
#mobile-nav {
  position: absolute;
  top: 0;
  left: 0;
  width: 280px;
  height: 100%;
  background: #191919;
  border-right: 1px solid #fff;
}
.mobile-nav-link {
  display: block;
  color: #999;
  text-decoration: none;
  padding: 15px 20px;
  font-weight: bold;
}
.mobile-nav-link:hover {
  color: #fff;
}
.tags-head,
.categories-head {
  padding: 1rem;
}
.tag-list-item,
.category-list-item {
  display: inline-block;
}
.tags-list,
.categories-list {
  padding-bottom: 3.2rem;
}
.panel-body ul {
  list-style: disc;
}
.wiki-link-list {
  padding: 4px;
  margin-left: 1.6rem;
}
@media screen and (min-width: 768px) and (max-width: 1199px) {
  #wiki-sidebar {
    display: inline;
    float: left;
    width: 31.1111111111111%;
    margin: 0 1.1111111111111%;
  }
}
@media screen and (min-width: 1200px) {
  #wiki-sidebar {
    display: inline;
    float: left;
    width: 31.1111111111111%;
    margin: 0 1.1111111111111%;
  }
}
@media screen and (max-width: 768px) {
  .affix,
  .affix-bottom {
    position: static;
    width: 100%;
  }
}
@media screen and (min-width: 768px) and (max-width: 1199px) {
  .affix,
  .affix-bottom {
    position: fixed;
    top: 100px;
  }
}
@media screen and (min-width: 1200px) {
  .affix,
  .affix-bottom {
    position: fixed;
    top: 100px;
  }
}
.affix-top {
  position: relative;
}
#wiki-toc-wrap {
  border: 1px solid #ddd;
  -webkit-border-radius: 6px;
  border-radius: 6px;
  padding: 0;
  background-color: #f5f5f5;
}
#wiki-toc-wrap ol {
  list-style: disc;
}
.active {
  background-color: #fff;
}
.wiki-toc-item {
  line-height: 0.8rem;
}
.wiki-toc-item a {
  color: #999;
}
.widget-wrap {
  margin-bottom: 50px !important;
}
@media screen and (min-width: 1200px) {
  .widget-wrap {
    display: inline;
    float: left;
    width: 31.1111111111111%;
    margin: 0 1.1111111111111%;
  }
}
.widget-title {
  color: #ccc;
  text-transform: uppercase;
  letter-spacing: 2px;
  margin-bottom: 1em;
  line-height: 1em;
  font-weight: bold;
}
.widget {
  color: #999;
}
.widget {
  line-height: 1.8em;
  word-wrap: break-word;
  font-size: 0.9em;
}
.widget ul,
.widget ol {
  list-style: none;
  margin: 0;
}
.widget ul ul,
.widget ol ul,
.widget ul ol,
.widget ol ol {
  margin: 0 20px;
}
.widget ul ul,
.widget ol ul {
  list-style: disc;
}
.widget ul ol,
.widget ol ol {
  list-style: decimal;
}
.category-link,
.tag-link,
.tag-list-link,
.category-list-link {
  background: #f5f5f5;
  padding: 0px 4px 4px;
  display: inline-block;
  margin: 0 6px 12px 0;
  line-height: 16px;
  font-size: 14px;
}
.category-link:hover,
.tag-link:hover,
.tag-list-link:hover,
.category-list-link:hover {
  background: #a94442;
  text-decoration: none !important;
  color: #fff;
}
.category-link:hover span,
.tag-link:hover span,
.tag-list-link:hover span,
.category-list-link:hover span {
  color: #fff;
}
.category-count,
.tag-count,
.tag-list-count,
.category-list-count,
.archive-list-count {
  padding-left: 2px;
  color: #999;
  font-size: 0.85em;
  vertical-align: super;
}
.tagcloud a {
  margin-right: 5px;
}
.post-widget {
  color: #999;
  padding: 6px;
}
.post-widget i {
  display: block !important;
  margin-bottom: 1.1rem;
  font-size: 1.1rem;
}
.recent-list:before {
  content: "\f016";
  font-family: FontAwesome;
  margin-right: 6px;
}
.blogroll i {
  margin-right: 6px;
}
.archive-list-item:before {
  content: "\f073";
  font-family: FontAwesome;
  margin-right: 6px;
}
#search-form-wrap {
  width: auto;
  margin: auto;
  padding-bottom: 20px;
}
@media screen and (max-width: 768px) {
  #search-form-wrap {
    width: 100%;
    right: -100%;
  }
}
.search-form-input {
  float: left;
  padding: 4px;
  background: #fff;
  color: #555;
  width: 100%;
  height: 1.8rem;
  font: 14px 'Merriweather Sans', "Helvetica Neue", Helvetica, Arial, sans-serif;
  outline: none;
  border: 1px solid #ddd;
  -webkit-border-radius: 6px;
  border-radius: 6px;
}
.search-form-input::-webkit-search-results-decoration,
.search-form-input::-webkit-search-cancel-button {
  -webkit-appearance: none;
}
.search-form-submit {
  margin-top: -1.4rem;
  font: 13px FontAwesome;
  border: none;
  background: none;
  color: #bbb;
  float: right;
  margin-right: 8px;
}
.search-form-submit:hover,
.search-form-submit:focus {
  color: #777;
}
.panel-heading i {
  margin: 0 8px 0 6px;
  color: #999;
}
.self {
  margin-top: 10px;
  margin-bottom: 50px;
  padding-top: 10px;
  padding-bottom: 10px;
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
}
.navbar-nav i {
  color: #a94442;
}
